package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 客户来源 
 * </p>
 *
 * @author yansen
 * @since 2020-04-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TaCustomerFrom implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 用户ID
     */
    private String personId;

    /**
     * 客户ID
     */
    private String customerId;

    /**
     * 用户名
     */
    private String personName;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 目标ID
     */
    private String targetId;

    /**
     * 目标名称
     */
    private String targetName;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 楼盘名称
     */
    private String buildingName;

    /**
     * 分享人ID
     */
    private String sharePersonId;

    /**
     * 分享人名称
     */
    private String sharePersonName;

    /**
     * 场景ID
     */
    private String sceneId;

    /**
     * 首次进入小程序
     */
    private Boolean isOrgFirst;

    /**
     * 首次进入项目
     */
    private Boolean isProjectFirst;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 备注
     */
    private String remark;

    /**
     * 用户名
     */
    @TableField(exist = false)
    private String userName;

    /**
     * 用户手机号码
     */
    @TableField(exist = false)
    private String userTel;

    /**
     * 用户性别
     */
    @TableField(exist = false)
    private Integer sex;

    /**
     * 归属城市
     */
    @TableField(exist = false)
    private String city;

    /**
     * 用户注册时间
     */
    @TableField(exist = false)
    private LocalDateTime registerTime;

    /**
     * 渠道 ID
     */
    private Integer channelId;

    /**
     * 推广码ID
     */
    private Integer qrCodeId;

    /**
     * 用户头像
     */
    @TableField(exist = false)
    private String avatarurl;

    /**
     * 分享人昵称
     */
    @TableField(exist = false)
    private String sharePersonNickname;

    /**
     * 分享人手机号
     */
    @TableField(exist = false)
    private String sharePersonPhone;

    /**
     * 用户昵称
     */
    @TableField(exist = false)
    private String nickname;

    /**
     * 用户名
     */
    @TableField(exist = false)
    private String name;
}
